[tool.poetry]
name = "sentinel"
version = "0.1.0"
description = "Sentinel is an audit storage system"
authors = ["Oscar Carballal <oscar@lareira.digital>"]
license = "GPLv3"

[tool.poetry.dependencies]
python = "^3.10"
fastapi = "^0.72.0"
pytest = "^6.2.5"
hypercorn = "^0.13.2"
PyJWT = "^2.3.0"
ujson = "^5.1.0"
pytz = "^2021.3"
black = "^21.12b0"
pytest-vcr = "^1.0.2"

[tool.poetry.dev-dependencies]
ipython = "^8.0.0"
ipdb = "^0.13.9"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
